curl --request POST \
--url https://api.stophy.dev/v1/video/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoUrl": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
'{
"video": {
"videoId": "<string>",
"title": "<string>",
"description": "<string>",
"duration": 123,
"uploadDate": "<string>",
"isLiveContent": false,
"viewCount": 123,
"likeCount": 123,
"tags": [
"<string>"
],
"thumbnails": {
"best": "<string>",
"min": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"subscriberCount": "<string>",
"thumbnails": {
"best": "<string>",
"min": "<string>"
}
},
"chapters": [
{
"title": "<string>",
"start": 123,
"thumbnails": {
"best": "<string>",
"min": null
}
}
],
"relatedVideos": [
{
"videoId": "<string>",
"title": "<string>",
"duration": 123,
"isLive": false,
"uploadDate": "<string>",
"viewCount": 123,
"thumbnails": {
"best": "<string>",
"min": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"handle": null,
"subscriberCount": "<string>",
"thumbnails": {
"best": null,
"min": "<string>"
}
}
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"https://www.youtube.com/watch?v=dQw4w9WgXcQ"
Hide child attributes
Hide child attributes
Hide child attributes
curl --request POST \
--url https://api.stophy.dev/v1/video/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoUrl": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
'{
"video": {
"videoId": "<string>",
"title": "<string>",
"description": "<string>",
"duration": 123,
"uploadDate": "<string>",
"isLiveContent": false,
"viewCount": 123,
"likeCount": 123,
"tags": [
"<string>"
],
"thumbnails": {
"best": "<string>",
"min": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"subscriberCount": "<string>",
"thumbnails": {
"best": "<string>",
"min": "<string>"
}
},
"chapters": [
{
"title": "<string>",
"start": 123,
"thumbnails": {
"best": "<string>",
"min": null
}
}
],
"relatedVideos": [
{
"videoId": "<string>",
"title": "<string>",
"duration": 123,
"isLive": false,
"uploadDate": "<string>",
"viewCount": 123,
"thumbnails": {
"best": "<string>",
"min": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"handle": null,
"subscriberCount": "<string>",
"thumbnails": {
"best": null,
"min": "<string>"
}
}
}
]
}
}